### Namespace

# Spelling – 1

A GNOME library for spellchecking

Version | 0.2.0
Authors | Christian Hergert
License | LGPL-2.1-or-later
Website | https://gitlab.gnome.org/chergert/libspelling/
Source | https://gitlab.gnome.org/chergert/libspelling/

#### Build

C headers | `libspelling.h`
pkg-config files | `libspelling-1`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Classes

Checker | unstable since: 1
Language | unstable since: 1
LanguageInfo | unstable since: 1
Provider | unstable since: 1
TextBufferAdapter | unstable since: 1

#### Functions

init | unstable since: 1

#### Function Macros

DEPRECATED_FOR | unstable since: 1
DEPRECATED_IN_1_0_FOR | unstable since: 1
UNAVAILABLE | unstable since: 1